=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2011-06-27 15:42:09 +0000
+++ bzrlib/__init__.py	2011-07-07 13:11:40 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 4, 0, 'dev', 5)
+version_info = (2, 4, 0, 'beta', 5)
 
 # API compatibility version
 api_minimum_version = (2, 4, 0)

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-07-07 12:51:17 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-07-07 13:11:40 +0000
@@ -8,18 +8,23 @@
 bzr 2.4b5
 #########
 
-:2.4b5: NOT RELEASED YET
+:2.4b5: 2011-07-07
+
+This is the fifth (and last) beta of the 2.4 series leading to
+2.4.0 release in Auguest 2011. Beta releases are suitable for
+everyday use but may cause some incompatibilities with plugins.
+
+This release includes all bug fixed in previous series known at
+the time of this release.
 
 External Compatibility Breaks
 *****************************
 
-.. These may require users to change the way they use Bazaar.
+None.
 
 New Features
 ************
 
-.. New commands, options, etc that users may wish to try out.
-
 * New command ``verify-signatures`` to check if all commits or specified commits
   have digital signatures from trusted keys.  Requires python-gpgme to be
   installed.
@@ -35,9 +40,6 @@
 Improvements
 ************
 
-.. Improvements to existing commands, especially improved performance 
-   or memory usage, or better results.
-
 * ``Branch.open`` is now about 3x faster (about 2ms instead of 6.5ms).
   (Andrew Bennetts).
 
@@ -65,20 +67,9 @@
 * ``TreeTransformBase.fixup_new_roots`` can now check that a tree root
   is present. (Jelmer Vernooij, #801257)
 
-.. Fixes for situations where bzr would previously crash or give incorrect
-   or undesirable results.
-
-Documentation
-*************
-
-.. Improved or updated documentation.
-
 API Changes
 ***********
 
-.. Changes that may require updates in plugins or other code that uses
-   bzrlib.
-
 * New attributes ``WorkingTreeFormat.supports_versioned_directories`` and
   ``RepositoryFormat.supports_versioned_directories``.
   (Jelmer Vernooij, #765815)
@@ -89,9 +80,6 @@
 Internals
 *********
 
-.. Major internal changes, unlikely to be visible to users or plugin 
-   developers, but interesting for bzr developers.
-
 * Start implementing localization, starting with command help text (but not
   the command options themselves). This will allow bootstrapping the bzr
   internationalization process. (Inada Naoki)
@@ -99,10 +87,6 @@
 Testing
 *******
 
-.. Fixes and changes that are only relevant to bzr's test framework and 
-   suite.  This can include new facilities for writing tests, fixes to 
-   spurious test failures and changes to the way things should be tested.
-
 * Fix test failures when running as a homeless user (debian buildd). Tests
   leaking into ``${HOME}/.bzr.log`` should be detected properly now.
   (Vincent Ladeuil, #798698)

